Subject: RE: bug#2147: Default font in Emacs

From: Herbert Euler <[email-masked]>
Date: Tue, 3 Feb 2009 09:19:30 +0800

>> Because I prefer the FreeMono font to the default font provided, I
>> tweak it in my ~/.emacs like this:
>
>> (let ((font (cond ((eq window-system 'w32)
>> "-outline-courier new-normal-r-normal-normal-16-120-96-96-c-*-fontset-auto2"
>> )
>> ((eq window-system 'x)
>> "FreeMono-13"
>> ))))
>> (set-default-font font)
>> (add-to-list 'default-frame-alist `(font . ,font)))
>
>> When I start emacs as a daemon:
>
>> $ emacs --daemon
>
>> The cons cell added to `default-frame-alist' seems to be '(font
>> . nil). This causes a segfault when running `emacsclient -c':
>
> Emacs just does what you told him to. The same problem happens if you
> start "emacs -nw" and then M-x make-frame-on-display.
> In both cases `window-system' is neither `w32' nor `x' so your `font'
> variable is set to nil.
 
Hehe, when I combined the code in my config file that is currently not
suitable to use with terminal and the daemon usage, my intention was
really not to tell Emacs to crash  :)
 
I've changed my config file to avoid the crash and feel okay with it,
though I think in general having to change application code to avoid
certain problems such as an unnecessary crash usually indicates a
shortcoming of the program the application uses/relies on.
 
Regards,
Guanpeng Xu
_________________________________________________________________
Drag n’ drop—Get easy photo sharing with Windows Live™ Photos.

http://www.microsoft.com/windows/windowslive/photos.aspx